Page MenuHomePhabricator

Document and hook up public mathoid end point in RB
Closed, ResolvedPublic

Description

  • create a swagger spec for the end point
  • add it to the RESTBase config

Event Timeline

GWicke assigned this task to mobrovac.
GWicke raised the priority of this task from to Normal.
GWicke updated the task description. (Show Details)
GWicke set Security to None.
mobrovac raised the priority of this task from Normal to High.Jun 18 2015, 6:21 PM
GWicke moved this task from Backlog to Under discussion on the RESTBase board.Jun 29 2015, 5:29 PM
Restricted Application added a subscriber: Matanya. · View Herald TranscriptJun 29 2015, 5:29 PM

PR #303 adds the Mathoid public API as per T103811

Prod added a subscriber: Prod.Aug 11 2015, 9:00 PM

PR #303 adds the Mathoid public API as per T103811

It has been superseded by PR #339. The PR is ready for review.

Change 242847 had a related patch set uploaded (by Mobrovac):
Add the 'complete' output format

https://gerrit.wikimedia.org/r/242847

Change 242847 merged by jenkins-bot:
Add the 'complete' output format

https://gerrit.wikimedia.org/r/242847

Change 244656 had a related patch set uploaded (by Mobrovac):
RESTBase: add global domain and Mathoid spec

https://gerrit.wikimedia.org/r/244656

Change 244656 merged by Filippo Giunchedi:
RESTBase: add global domain and Mathoid spec

https://gerrit.wikimedia.org/r/244656

mobrovac closed this task as Resolved.Oct 9 2015, 11:58 AM

This has been deployed in production

mobrovac removed a subscriber: gerritbot.

Change 244731 had a related patch set uploaded (by Mobrovac):
RESTBase: hook up Mathoid in RESTBase

https://gerrit.wikimedia.org/r/244731

Change 244731 merged by jenkins-bot:
RESTBase: hook up Mathoid in RESTBase

https://gerrit.wikimedia.org/r/244731